{% extends 'base.html.twig' %}
{% form_theme form with ['bootstrap_4_layout.html.twig'] %}
{% block content %}
  <div class="container customer-form-wrapper">
    <div class="col-md-8 offset-md-2">
      {{ form_start(form) }}
      <h2 class="text-center">{{ 'comsa_sulu_shopping_cart.contact_information'|trans }}</h2>

      <div class="form-row">
        <div class="form-group col-12 col-md-6">
          {{ form_row(form.firstName) }}
        </div>
        <div class="form-group col-12 col-md-6">
          {{ form_row(form.lastName) }}
        </div>
      </div>

      <div class="form-row">
        <div class="form-group col-12 col-md-6">
          {{ form_row(form.email) }}
        </div>
        <div class="form-group col-12 col-md-6">
          {{ form_row(form.phoneNumber) }}
        </div>
      </div>

      <h2 class="text-center mt-3">{{ 'comsa_sulu_shopping_cart.address'|trans }}</h2>
      {# {{ form_row(form.billingAddress) }} #}
      <div class="form-row">
        <div class="col-12 col-md-9 form-group">
          {{ form_row(form.billingAddress.street) }}
        </div>
        <div class="col-12 col-md-3 form-group">
          {{ form_row(form.billingAddress.streetNumber) }}
        </div>
      </div>
      <div class="form-row">
        <div class="col-12 col-md-2 form-group">
          {{ form_row(form.billingAddress.postal) }}
        </div>
        <div class="col-12 col-md-5 form-group">
          {{ form_row(form.billingAddress.city) }}
        </div>
        <div class="col-12 col-md-5 form-group">
          {{ form_row(form.billingAddress.country) }}
        </div>
      </div>
      <div class="form-row">
        <div class="form-group col-12">
          <p><label for="toggle-shipping"><input type="checkbox"
                                                 id="toggle-shipping"> {{ 'comsa_sulu_shopping_cart.alternative_shipping_address'|trans }}
            </label></p>
        </div>
      </div>
      <div style="display: none;" id="toggle-shipping-container">
        <div class="form-row d-flex">
          <div class="col-12 col-md-9 form-group">
            {{ form_row(form.shippingAddress.street) }}
          </div>
          <div class="col-12 col-md-3 form-group">
            {{ form_row(form.shippingAddress.streetNumber) }}
          </div>
        </div>
        <div class="form-row d-md-flex">
          <div class="col-12 col-md-2 form-group">
            {{ form_row(form.shippingAddress.postal) }}
          </div>
          <div class="col-12 col-md-5 form-group">
            {{ form_row(form.shippingAddress.city) }}
          </div>
          <div class="col-12 col-md-5 form-group">
            {{ form_row(form.shippingAddress.country) }}
          </div>
        </div>
      </div>
      {{ form_rest(form) }}
      <button type="submit" class="btn btn-primary">{{ 'comsa_sulu_shopping_cart.continue'|trans }}</button>
      {{ form_end(form) }}
    </div>
  </div>
{% endblock %}
